classification
Title: Distutils2 does not work with virtualenv
Type: behavior Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: duplicate
Dependencies: Superseder: distutils[2] should recreate scripts in the build tree
View: 10374
Assigned To: eric.araujo Nosy List: alex.gronholm, alexis, eric.araujo, tarek
Priority: normal Keywords:

Created on 2012-03-18 06:26 by alex.gronholm, last changed 2012-03-28 04:24 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
d2log.txt alex.gronholm, 2012-03-18 18:41
Messages (9)
msg156231 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2012-03-18 06:26
The installed pysetup script launches (at least on my system) with /usr/bin/python regardless of the interpreter used for installing it.
msg156258 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-18 15:54
The shebang uses /usr/bin/env python; when installing with a virtualenv’s pip, distutils rewrites it to use the venv’s Python.  Could you give me the exact steps to reproduce?
msg156264 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2012-03-18 18:41
Log attached.
msg156281 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-18 22:25
I can’t reproduce.  Can you delete your venv, start again and tell me how it goes?
msg156317 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2012-03-19 05:30
>I can’t reproduce.  Can you delete your venv, start again and tell me how it goes?

I've repeated this several times, and the result is always the same.
msg156541 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-22 05:16
Can you give more info about your OS, ~/.pydistutils.cfg, etc.?
msg156545 - (view) Author: Alex Grönholm (alex.gronholm) * Date: 2012-03-22 10:02
Kubuntu 11.10, 64-bit. No ~/.pydistutils.cfg. What other info do you need?
msg156963 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-28 02:27
Just logged into your machine to try to reproduce, could not (check the ~merwok/.bash_history file).
msg156967 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-28 04:24
Alex and I found the real issue: it’s about caching of scripts in the build directory.

d2 works in a virtualenv, closing :)
History
Date User Action Args
2012-03-28 04:24:16eric.araujosetstatus: open -> closed
superseder: distutils[2] should recreate scripts in the build tree
messages: + msg156967

resolution: duplicate
stage: resolved
2012-03-28 02:27:45eric.araujosetmessages: + msg156963
2012-03-22 10:02:35alex.gronholmsetmessages: + msg156545
2012-03-22 05:16:42eric.araujosetmessages: + msg156541
2012-03-19 05:30:06alex.gronholmsetmessages: + msg156317
2012-03-18 22:25:59eric.araujosetmessages: + msg156281
2012-03-18 18:41:34alex.gronholmsetfiles: + d2log.txt

messages: + msg156264
2012-03-18 15:54:21eric.araujosetmessages: + msg156258
2012-03-18 06:27:01alex.gronholmsettype: behavior
2012-03-18 06:26:51alex.gronholmcreate